Bug 1296308 - elasticsearch on update silently replace configs
elasticsearch on update silently replace configs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: elasticsearch (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 16:01 EST by Pavel Alexeev
Modified: 2016-01-19 18:27 EST (History)
4 users (show)

See Also:
Fixed In Version: elasticsearch-1.7.1-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-19 18:27:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2016-01-06 16:01:29 EST
Description of problem:
In spec you are mark as %config(noreplace)
%config(noreplace) %{_sharedstatedir}/%{name}/conf/%{name}.yml
%config(noreplace) %{_sharedstatedir}/%{name}/conf/logging.yml

which actual just symlinks, instead files %{_sysconfdir}/%{name} sould be marked as configs.

May be even better approach just drop /var/lib/elasticsearch/conf and point it to /etc...
Comment 1 Fedora Update System 2016-01-10 14:54:33 EST
elasticsearch-1.7.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1885bffc8c
Comment 2 Fedora Update System 2016-01-11 08:52:49 EST
elasticsearch-1.7.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1885bffc8c
Comment 3 Fedora Update System 2016-01-19 18:27:45 EST
elasticsearch-1.7.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.